[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBMemo.Change

Performs actions needed when the value for the control has been changed.

## Declaration

Source position: dbctrls.pp line 1017

`protected procedure TDBMemo.Change; override;`

## Description

Change is an overridden method used to perform actions needed when the value for the control has been changed. Change ensures that the linked dataset is notified by calling its Modified method. Change calls the inherited method prior to exit to signal the OnChange event or other handlers implemented in the ancestor class.

## See also

TFieldDataLink.Modified |  | Updates the class when the linked dataset enters an edit state.
TCustomEdit.Change |  | Performs actions needed when the text in the control is changed.
TCustomEdit.OnChange |  | Event handler signalled when the text for the control is changed.